import React from 'react';
export default function usePreventBackgroundScrolling() {
  React.useEffect(function () {
    var offset = window.pageYOffset;
    var top = offset > 0 ? offset * -1 : offset; // This guard is most likely due to some environment issues.
    // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition

    var body = document.body !== void 0 ? document.body : document.getElementsByTagName('body')[0];
    body.classList.add('overlay-layout');
    var bodyStyleLeft = body.style.left;
    var bodyStyleTop = body.style.top;
    body.style.left = '0';
    body.style.top = "".concat(top, "px");
    return function () {
      // This guard is most likely due to some environment issues.
      // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition
      var body = document.body !== void 0 ? document.body : document.getElementsByTagName('body')[0];

      if (body.classList.contains('overlay-layout')) {
        body.classList.remove('overlay-layout');
        body.style.left = bodyStyleLeft;
        body.style.top = bodyStyleTop;
        window.scrollTo(0, offset);
      }
    };
  }, []);
}
//# sourceMappingURL=usePreventBackgroundScrolling.js.map